OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockEventIpcManager.ListenerKeeper

    java.lang.Object
      org.opennms.netmgt.mock.MockEventIpcManager.ListenerKeeper

Enclosing class:
  MockEventIpcManager

static class MockEventIpcManager.ListenerKeeper
extends java.lang.Object

Field Summary
`(package private) EventListener` `m_listener`
`(package private) java.util.Set` `m_ueiList`

Constructor Summary
`(package private)` `MockEventIpcManager.ListenerKeeper(EventListener listener, java.util.Set ueiList)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`private boolean` `eventMatches(Event e)`
`void` `sendEventIfAppropriate(Event e)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_listener

    EventListener m_listener

### m_ueiList

    java.util.Set m_ueiList

Constructor Detail

### MockEventIpcManager.ListenerKeeper

    MockEventIpcManager.ListenerKeeper(EventListener listener,
                                       java.util.Set ueiList)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### eventMatches

    private boolean eventMatches(Event e)

### sendEventIfAppropriate

    public void sendEventIfAppropriate(Event e)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.